%define pkgname utils
Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 X client utilities
Name: 		xorg-x11-%{pkgname}
Version: 	7.3
Release: 	1
License: 	MIT/X11
Group: 		User Interface/X
URL: 		http://www.x.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:  	http://xorg.freedesktop.org/releases/individual/app/xdpyinfo-1.0.1.tar.bz2
Source1:  	http://xorg.freedesktop.org/releases/individual/app/xdriinfo-1.0.2.tar.bz2
Source2:  	http://xorg.freedesktop.org/releases/individual/app/xev-1.0.2.tar.bz2
Source3:  	http://xorg.freedesktop.org/releases/individual/app/xfd-1.0.1.tar.bz2
Source4:  	http://xorg.freedesktop.org/releases/individual/app/xfontsel-1.0.2.tar.bz2
Source5:  	http://xorg.freedesktop.org/releases/individual/app/xlsatoms-1.0.1.tar.bz2
Source6:  	http://xorg.freedesktop.org/releases/individual/app/xlsclients-1.0.1.tar.bz2
Source7:  	http://xorg.freedesktop.org/releases/individual/app/xlsfonts-1.0.2.tar.bz2
Source8:  	http://xorg.freedesktop.org/releases/individual/app/xprop-1.0.3.tar.bz2
Source9:  	http://xorg.freedesktop.org/releases/individual/app/xvinfo-1.0.2.tar.bz2
Source10: 	http://xorg.freedesktop.org/releases/individual/app/xwininfo-1.0.3.tar.bz2

Patch0: 	xdpyinfo-1.0.1-spurious-xprint.patch

# FIXME: Temporary autoconf/automake deps while we need to hack things up
# with autotools.
BuildRequires: 	autoconf automake

BuildRequires: 	pkg-config
BuildRequires: 	libdmx-devel
BuildRequires: 	libGL-devel
BuildRequires: 	libXaw-devel
BuildRequires: 	libXext-devel
BuildRequires: 	libXft-devel
BuildRequires: 	libXi-devel
BuildRequires: 	libXinerama-devel
BuildRequires: 	libXpm-devel
BuildRequires: 	libXt-devel
BuildRequires: 	libXtst-devel
BuildRequires: 	libXv-devel
BuildRequires: 	libXxf86dga-devel
BuildRequires: 	libXxf86misc-devel
BuildRequires: 	libXxf86vm-devel

Provides: xdpyinfo xdriinfo xev xfd xfontsel xlsatoms xlsclients xlsfonts xprop xvinfo xwininfo

%description
A collection of client utilities which can be used to query the X server
for various information, view and select fonts, etc.

%prep
%setup -q -c %{name}-%{version} -a1 -a2 -a3 -a4 -a5 -a6 -a7 -a8 -a9 -a10

%patch0 -p0 -b .xprint

%build
# Build all apps
{
   for app in * ; do
      pushd $app
      case $app in
         xdpyinfo-*)
	    # FIXME: run autotools junk to kick in our patch
	    aclocal --force
	    automake -f
	    autoconf
	    ;;
	 *)
	    ;;
      esac
      %configure
      make
      popd
   done
}

%install
rm -rf $RPM_BUILD_ROOT
# Install all apps
{
   for app in * ; do
      pushd $app
      make install DESTDIR=$RPM_BUILD_ROOT
      popd
   done
}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc
%{_bindir}/xdpyinfo
%{_bindir}/xdriinfo
%{_bindir}/xev
%{_bindir}/xfd
%{_bindir}/xfontsel
%{_bindir}/xlsatoms
%{_bindir}/xlsclients
%{_bindir}/xlsfonts
%{_bindir}/xprop
%{_bindir}/xvinfo
%{_bindir}/xwininfo
%dir %{_datadir}/X11
%dir %{_datadir}/X11/app-defaults
%{_datadir}/X11/app-defaults/XFontSel
%{_datadir}/X11/app-defaults/Xfd
%{_mandir}/man1

%changelog
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 7.3-1
- version update
- xdriinfo 1.0.2
- xfontsel 1.0.2
- xlsfonts 1.0.2
- xprop    1.0.3
- xvinfo   1.0.2
- wxwinfo  1.0.3
* Sun Jul 02 2006 Christian Metzen <metzench@ccux-linux.de> 7.1-1
- Initial release
